curl "https://api.scanova.io/qr-assets/custom-frame/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 4,
"svg": "https://cdn.scanova.io/upload/frames/4.svg",
"primary_color": "#000000",
"secondary_color": "#ffffff",
"text_color": "#000000",
"bg_color": "#ffffff",
"top": 0,
"left": 0
}
]
}
أصول QR
سرد الإطارات المخصصة
GET /qr-assets/custom-frame/
GET
/
qr-assets
/
custom-frame
/
curl "https://api.scanova.io/qr-assets/custom-frame/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 4,
"svg": "https://cdn.scanova.io/upload/frames/4.svg",
"primary_color": "#000000",
"secondary_color": "#ffffff",
"text_color": "#000000",
"bg_color": "#ffffff",
"top": 0,
"left": 0
}
]
}
يسرد إطارات QR المخصصة الخاصة بهذا الحساب، على مضيف Management API (
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
GET https://api.scanova.io/qr-assets/custom-frame/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
للسرد فقط — لا توجد نقطة نهاية لإنشاء أو تحديث أو حذف الإطارات المخصصة في Management API؛ تُرفع عبر لوحة التحكم. على عكس معظم نقاط النهاية الأخرى في هذه الوحدة، لا يوجد حاجز حصة خطة على نقطة النهاية هذه.
curl "https://api.scanova.io/qr-assets/custom-frame/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 4,
"svg": "https://cdn.scanova.io/upload/frames/4.svg",
"primary_color": "#000000",
"secondary_color": "#ffffff",
"text_color": "#000000",
"bg_color": "#ffffff",
"top": 0,
"left": 0
}
]
}
top/left هما إزاحتا موضع بالبكسل تُستخدمان عند عرض الإطار حول رمز QR.
ذات صلة
- سرد قوالب تصميم رموز QR — أين يُستخدم معرّف الإطار بعد اختياره.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
200 - application/json
Paginated list of custom frames.
هل كانت هذه الصفحة مفيدة؟